# $Revision: 1.39 $, $Date: 2012/06/29 11:12:07 $
#
# Conditional build:
%bcond_without	doc		# don't generate html documentation
%bcond_without	static_libs	# don't build static libraries
%bcond_with	gamin		# use gamin instead of fam library
%bcond_without	gnomevfs	# build without gnome-vfs support
%bcond_without	gnome		# without gnomevfs (convenience alias)
# - database plugins:
%bcond_without	firebird	# build without firebird plugin
%bcond_with	freetds		# build with freetds plugin
%bcond_without	ldap		# build without ldap plugin
%bcond_without	mdb		# build without MDB plugin
%bcond_without	mysql		# build without MySQL plugin
%bcond_without	odbc		# build without unixODBC
%bcond_without	pgsql		# build without PostgreSQL plugin
%bcond_without	sqlite		# build without sqlite plugin
%bcond_without	sybase		# build without sybase plugin
%bcond_without	xbase		# build without xbase plugin
#
%if %{without gnome}
%undefine	with_gnomevfs
%endif
%ifnarch %{ix86} sparc sparcv9 alpha
%undefine	with_firebird
%endif
Summary:	GNU Data Access library
Summary(pl.UTF-8):	Biblioteka GNU Data Access
Name:		libgda3
Version:	3.1.5
Release:	12
License:	LGPL v2+/GPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgda/3.1/libgda-%{version}.tar.bz2
# Source0-md5:	eb7da5286a112e7cff3111c89fba4456
Patch0:		%{name}-configure.patch
Patch1:		%{name}-am.patch
Patch2:		glib232.patch
URL:		http://www.gnome-db.org/
%{?with_firebird:BuildRequires:	Firebird-devel}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	docbook-dtd412-xml
%{!?with_gamin:BuildRequires:	fam-devel}
BuildRequires:	flex
%{?with_freetds:BuildRequires:	freetds-devel = 0.64}
%{?with_sybase:BuildRequires:	freetds-devel >= 0.82}
%{?with_gamin:BuildRequires:	gamin-devel >= 0.1.8}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	gnome-common >= 2.12.0
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.20}
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-devel >= 1.1.17
%{?with_mdb:BuildRequires:	mdbtools-devel >= 0.6}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.4.6}
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.213
%{?with_sqlite:BuildRequires:	sqlite3-devel >= 3.5.0-2}
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_xbase:BuildRequires:	xbase-devel >= 2.0.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libgdadir	libgda-3.0
%define		_providersdir	%{_libdir}/%{_libgdadir}/providers

%description
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project but has been separated from it
to allow non-GNOME applications to be developed based on it.

%description -l pl.UTF-8
GNU Data Access to próba zapewnienia jednolitego dostępu do różnych
źródeł danych (bazy danych, serwery informacji, katalogi z pocztą
itp.). Jest kompletną architekturą dostarczającą wszystko, czego
potrzebujesz do dostępu do danych.

libgda była częścią projektu GNOME-DB, ale została wydzielona, aby
pozwolić na używanie przez niegnomowe aplikacje.

%package devel
Summary:	GNU Data Access development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GNU Data Access
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{!?with_gamin:Requires:	fam-devel}
%{?with_gamin:Requires:	gamin-devel >= 0.1.8}
Requires:	glib2-devel >= 1:2.12.0
%{?with_gnomevfs:Requires:	gnome-vfs2-devel >= 2.20}
Requires:	gtk-doc-common
Requires:	libgcrypt-devel >= 1.1.42
Requires:	libxml2-devel >= 1:2.6.26
Requires:	libxslt-devel >= 1.1.17
Obsoletes:	libgda0-devel

%description devel
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data. This subpackage contains development files.

%description devel -l pl.UTF-8
GNU Data Access to próba zapewnienia jednolitego dostępu do różnych
źródeł danych (bazy danych, serwery informacji, katalogi z pocztą
itp.). Jest kompletną architekturą dostarczającą wszystko, czego
potrzebujesz do dostępu do danych. Ten podpakiet zawiera pliki dla
programistów używających libgda.

%package static
Summary:	GNU Data Access static libraries
Summary(pl.UTF-8):	Statyczne biblioteki GNU Data Access
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GNU Data Access static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki GNU Data Access.

%package provider-db
Summary:	GDA Berkeley DB provider
Summary(pl.UTF-8):	Źródło danych Berkeley DB dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-db
This package contains the GDA Berkeley DB provider.

%description provider-db -l pl.UTF-8
Pakiet dostaczający dane z Berkeley DB dla GDA.

%package provider-firebird
Summary:	GDA Firebird provider
Summary(pl.UTF-8):	Źródło danych Firebird dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-firebird
This package contains the GDA Firebird provider.

%description provider-firebird -l pl.UTF-8
Pakiet dostarczający dane z Firebird dla GDA.

%package provider-freetds
Summary:	GDA FreeTDS provider
Summary(pl.UTF-8):	Źródło danych FreeTDS dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-freetds
This package contains the GDA FreeTDS provider.

%description provider-freetds -l pl.UTF-8
Pakiet dostarczający dane z FreeTDS dla GDA.

%package provider-ldap
Summary:	GDA LDAP provider
Summary(pl.UTF-8):	Źródło danych LDAP dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-ldap
This package contains the GDA LDAP provider.

%description provider-ldap -l pl.UTF-8
Pakiet dostarczający dane z LDAP dla GDA

%package provider-mdb
Summary:	GDA MDB provider
Summary(pl.UTF-8):	Źródło danych MDB
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	mdbtools-libs >= 0.6

%description provider-mdb
This package contains the GDA MDB provider.

%description provider-mdb -l pl.UTF-8
Pakiet dostarczający dane z MDB dla GDA.

%package provider-mysql
Summary:	GDA MySQL provider
Summary(pl.UTF-8):	Źródło danych MySQL dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgda-mysql0

%description provider-mysql
This package contains the GDA MySQL provider.

%description provider-mysql -l pl.UTF-8
Pakiet dostarczający dane z MySQL dla GDA.

%package provider-odbc
Summary:	GDA ODBC provider
Summary(pl.UTF-8):	Źródło danych ODBC dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-odbc
This package contains the GDA ODBC provider.

%description provider-odbc -l pl.UTF-8
Pakiet dostarczający dane z ODBC dla GDA.

%package provider-postgres
Summary:	GDA PostgreSQL provider
Summary(pl.UTF-8):	Źródło danych PostgreSQL dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgda-postgres0

%description provider-postgres
This package contains the GDA PostgreSQL provider.

%description provider-postgres -l pl.UTF-8
Pakiet dostarczający dane z PostgreSQL dla GDA.

%package provider-sqlite
Summary:	GDA SQLite provider
Summary(pl.UTF-8):	Źródło danych SQLite dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-sqlite
This package contains the GDA SQLite provider.

%description provider-sqlite -l pl.UTF-8
Pakiet dostarczający dane z SQLite dla GDA.

%package provider-sybase
Summary:	GDA Sybase provider
Summary(pl.UTF-8):	Źródło danych Sybase dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-sybase
This package contains the GDA Sybase provider.

%description provider-sybase -l pl.UTF-8
Pakiet dostarczający dane z Sybase dla GDA.

%package provider-xbase
Summary:	GDA xBase provider
Summary(pl.UTF-8):	Źródło danych xBase dla GDA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description provider-xbase
This package contains the GDA xBase (dBase, Clipper, FoxPro) provider.

%description provider-xbase -l pl.UTF-8
Pakiet dostarczający dane z xBase (dBase, Clippera, FoxPro) dla GDA.

%prep
%setup -q -n libgda-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%if %{without gamin}
sed -i -e 's#PKG_CHECK_MODULES(GAMIN.*)#have_fam=no#g' configure.in
%endif
%if %{without gnomevfs}
sed -i -e 's#PKG_CHECK_MODULES(GNOMEVFS.*)#have_gnomevfs=no#g' configure.in
%endif

%build
CXXFLAGS="%{rpmcxxflags} -fno-rtti -fno-exceptions"
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	%{?with_doc:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	--with%{!?with_firebird:out}-firebird \
	--with%{!?with_ldap:out}-ldap \
	--with%{!?with_mdb:out}-mdb \
	--with%{!?with_mysql:out}-mysql \
	--with%{!?with_odbc:out}-odbc \
	--with%{!?with_pgsql:out}-postgres \
	--with%{!?with_sqlite:out}-sqlite \
	--with%{!?with_freetds:out}-tds \
	--with%{!?with_xbase:out}-xbase \
	%{?with_sybase:--with-sybase=/usr} \
	--without-oracle
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

# modules dlopened by *.so through libgmodule
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{_providersdir}/*.a
%endif
%{__rm} $RPM_BUILD_ROOT{%{_providersdir},%{_libdir}}/*.la

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sr@Latn,sr@latin}

%find_lang libgda-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libgda-3.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gda-config-tool-3.0
%attr(755,root,root) %{_bindir}/gda-list-server-op-3.0
%attr(755,root,root) %{_libdir}/libgda-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgda-3.0.so.3
%attr(755,root,root) %{_libdir}/libgda-report-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgda-report-3.0.so.3
%attr(755,root,root) %{_libdir}/libgda-xslt-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgda-xslt-3.0.so.0
%attr(755,root,root) %{_libdir}/libgdasql-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdasql-3.0.so.3
%dir %{_libdir}/%{_libgdadir}
%dir %{_providersdir}
%{_datadir}/libgda-3.0
%dir %{_sysconfdir}/libgda-3.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libgda-3.0/config
%{_mandir}/man1/gda-config-tool-3.0.1*
%{_mandir}/man5/gda-config-3.0.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gda-author-dict-file-3.0
%attr(755,root,root) %{_bindir}/gda-bdb-test
%attr(755,root,root) %{_bindir}/gda-diagnose-3.0
%attr(755,root,root) %{_bindir}/gda-inspect-dict-file-3.0
%attr(755,root,root) %{_bindir}/gda-list-config-3.0
%attr(755,root,root) %{_bindir}/gda-sql-3.0
%attr(755,root,root) %{_bindir}/gda-test-connection-3.0
%attr(755,root,root) %{_libdir}/libgda-3.0.so
%attr(755,root,root) %{_libdir}/libgda-report-3.0.so
%attr(755,root,root) %{_libdir}/libgda-xslt-3.0.so
%attr(755,root,root) %{_libdir}/libgdasql-3.0.so
%{_includedir}/libgda-3.0
%{_pkgconfigdir}/libgda-3.0.pc
%{_pkgconfigdir}/libgda-*-3.0.pc
%{_sysconfdir}/libgda-3.0/sales_test.db
%{?with_doc:%{_gtkdocdir}/libgda-3.0}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgda-3.0.a
%{_libdir}/libgda-report-3.0.a
%{_libdir}/libgda-xslt-3.0.a
%{_libdir}/libgdasql-3.0.a
%endif

%files provider-db
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-bdb.so

%if %{with firebird}
%files provider-firebird
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-firebird.so
%endif

%if %{with freetds}
%files provider-freetds
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-freetds.so
%endif

%if %{with ldap}
%files provider-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-ldap.so
%endif

%if %{with mdb}
%files provider-mdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-mdb.so
%endif

%if %{with mysql}
%files provider-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-mysql.so
%endif

%if %{with odbc}
%files provider-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-odbc.so
%endif

%if %{with pgsql}
%files provider-postgres
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-postgres.so
%endif

%if %{with sqlite}
%files provider-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-sqlite.so
%endif

%if %{with sybase}
%files provider-sybase
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-sybase.so
%endif

%if %{with xbase}
%files provider-xbase
%defattr(644,root,root,755)
%attr(755,root,root) %{_providersdir}/libgda-xbase.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgda3.spec,v $
Revision 1.39  2012/06/29 11:12:07  baggins
- rel 12
- fix all glib headers misuse

Revision 1.38  2012/06/13 22:10:38  sls
- added glib232.patch

Revision 1.37  2012/01/13 21:00:11  arekm
- release 11

Revision 1.36  2011/04/13 16:14:59  megabajt
- release 10

Revision 1.35  2011/03/31 18:09:52  arekm
- release 9

Revision 1.34  2011/03/26 11:44:21  qboosh
- rename locale: sr@Latn -> sr@latin
- release 8

Revision 1.33  2011/02/08 18:36:43  qboosh
- removed obsolete todo (gda-sharp has been removed from libgda3)

Revision 1.32  2011/02/05 23:48:14  wiget
- use %{__rm} macro
- drop libtool file
- rel. 7

Revision 1.31  2010/11/23 05:48:28  arekm
- release 6

Revision 1.30  2009/11/30 01:52:04  sparky
- BR: docbook-dtd412-xml, gettext-devel, pkgconfig

Revision 1.29  2009/07/03 17:14:40  hawk
- killed duplicate install

Revision 1.28  2009/07/03 15:46:32  hawk
- release 4

Revision 1.27  2009/02/23 22:13:07  arekm
- release 3

Revision 1.26  2009/02/23 22:06:37  arekm
- release 2

Revision 1.25  2008/09/02 16:11:02  qboosh
- updated to 3.1.5

Revision 1.24  2008/09/01 12:42:48  arekm
- release 6

Revision 1.23  2008/06/16 21:42:44  qboosh
- back to proper freetds-devel version

Revision 1.22  2008/06/16 12:11:24  arekm
rel 5; drop tds since in new freetds tds library was dropped

Revision 1.21  2008/06/16 11:01:49  hawk
- fixed freetds BRs, release 3

Revision 1.20  2008/06/14 10:18:31  arekm
- rel 2

Revision 1.19  2008-05-31 21:47:25  qboosh
- gamin version

Revision 1.18  2008-05-31 21:32:06  qboosh
- updated to 3.1.4
- updated configure patch
- freetds plugin can be built with freetds 0.64 only;
  for freetds 0.82 build sybase plugin instead (libtds is no longer public API)

Revision 1.17  2008-01-26 11:15:26  qboosh
- release 4

Revision 1.16  2008-01-26 11:15:05  qboosh
- BR+R: libgcrypt-devel, gnome-vfs2-devel (+gnomevfs=gnome bcond)
- no apps here - group changed to Libraries
- added missing libgda-xslt symlink

Revision 1.15  2007-11-18 18:12:58  arekm
- rel 3

Revision 1.14  2007-11-03 20:13:11  qboosh
- cleanup; libgda-sqlite.la no longer needed

Revision 1.13  2007/11/03 13:21:41  baggins
- rel 2

Revision 1.12  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.11  2007/10/25 10:41:43  patrys
- package gda-list-server-op-3.0

Revision 1.10  2007/10/25 10:27:38  patrys
- 3.1.2
- dropped mdb patch (no longer relevant)
- dropped firebird patch (seems applied in another form)
- libgda-virtual.so seems to have disappeared

Revision 1.9  2007/09/18 16:11:21  baggins
- rel 1
- BR sqlite3-devel >= 3.5.0-2 (for SQLITE_ENABLE_COLUMN_METADATA)
- moved libgda-virtual-3.0.so to main package
- there is nothing to resolve with libgda-sqlite.la

Revision 1.8  2007/09/06 21:17:19  aflinta
- up to 3.1.1, updated TODO

Revision 1.7  2007/08/02 10:49:00  arekm
- rel 3

Revision 1.6  2007/06/02 10:53:06  qboosh
- URL

Revision 1.5  2007/05/31 22:22:56  qboosh
- stick to mdbtools >= 0.6 to get stable builds

Revision 1.4  2007/05/31 20:01:36  qboosh
- release 2

Revision 1.3  2007/05/31 20:01:18  qboosh
- added firebird patch (updates firebird provider to current gda API)
- removed obsolete xbase patch

Revision 1.2  2007/05/30 22:23:25  qboosh
- firebird plugin needs update for current internal API

Revision 1.1  2007/05/30 22:07:29  qboosh
- merged from libgda.spec:DEVEL (parallel-installable with libgda 1.2.x)
- provider packages renamed to -provider-* instead of creating gda3-* namespace

Revision 1.105.2.5  2007/05/13 22:05:30  qboosh
- updated to 3.0.1
- updated mdb,configure patches
- removed obsolete freetds,link patches
- bundled sqlite3 is used currently

Revision 1.105.2.4  2007/02/12 13:20:14  baggins
- converted to UTF-8

Revision 1.105.2.3  2006/12/25 00:17:00  arekm
- rel 2; fix for freetds 0.64

Revision 1.105.2.2  2006/12/24 23:36:49  arekm
- up to 2.99.2

Revision 1.105.2.1  2006/12/24 18:09:58  arekm
- up to 1.9.103

Revision 1.105  2006/07/14 20:18:27  freetz
- rel.7, updated deps, --as-needed support

Revision 1.104  2006/03/27 12:41:43  glen
- rel 6 (libmysqlclient_15)

Revision 1.103  2006/03/23 19:32:55  freetz
- disabled firebird on ppc/x86_64, added configure patch, rel.5

Revision 1.102  2006/02/21 23:10:26  qboosh
- it uses fam/gamin (libgamin is preferred by configure)

Revision 1.101  2006/02/21 20:57:09  qboosh
- release 4

Revision 1.100  2006/02/21 20:53:08  qboosh
- added typo,update,xbase patches to kill unresolved symbols in
  bdb,firebird,freetds,ldap,postgres,xbase providers

Revision 1.99  2006/01/17 15:15:01  baggins
- release 3
- BR openldap 2.3

Revision 1.98  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.97  2005/10/25 12:44:37  freetz
- rename patch added:
	libgda/gda-threader.h: Rename GDA_THREADER_TYPE to
	GDA_TYPE_THREADER, so it matches the convention, for
	language bindings
- rel.2

Revision 1.96  2005/10/20 10:16:21  qboosh
- removed outdated gcc34 patch
- updated freetds_buildfix patch (no need to apply it conditionally)
- reenabled freetds and firebird

Revision 1.95  2005/10/19 19:29:52  freetz
- merged from DEVEL

Revision 1.91.2.6  2005/10/19 19:21:16  freetz
- 1.9.100

Revision 1.91.2.5  2005/09/20 11:10:10  aflinta
- rebuild with readline 5.0

Revision 1.91.2.4  2005/08/16 11:32:22  freetz
- 1.3.91, even more breakage introduced in this release
- removed obsoleted bdb and gcc4 patches, added include patch
  still 0.1 due postgres backend segfault, freetds 0.6x still unsupported

Revision 1.91.2.3  2005/07/11 15:37:31  freetz
- fixed typo

Revision 1.91.2.2  2005/07/11 15:31:39  freetz
- do not apply freetds patch --without freetds (note added)

Revision 1.91.2.1  2005/07/09 21:08:18  twittner
- up to 1.3.3 (NFY - -freetds_buildfix.patch)
